use tokio::time::Duration;



/// The commands available to send to the Satellite.
#[derive(Clone, Copy)]
pub enum Command
{
   /// Fire the engine in T minus x seconds!
   Propulsion
   {
      /// The amount of seconds to wait before we fire the engines.
      delay: Duration
   },

   /// Cancel any waiting commands.
   Cancel
}
